package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttPoldBase;

/** 防洪闸信息 Service */
public interface PoldService {
    /**
     * 查询防洪闸信息列表
     * 
     * @param attPoldBase 查询条件
     * @return 防洪闸信息列表
     */
    public List<AttPoldBase> selectAttPoldBaseList(AttPoldBase attPoldBase);

    /**
     * 通过防洪闸编码查询防洪闸信息
     * 
     * @param poldCode 防洪闸编码
     * @return 防洪闸信息
     */
    public AttPoldBase selectAttPoldBaseById(String poldCode);

    /**
     * 批量删除防洪闸信息
     * 
     * @param poldCodes 防洪闸编码数组
     * @return 删除行数
     */
    public int deleteAttPoldBaseByIds(String[] poldCodes);

    /**
     * 新增防洪闸信息
     * 
     * @param attPoldBase 防洪闸信息
     * @return 插入行数
     */
    public int insertAttPoldBase(AttPoldBase attPoldBase);

    /**
     * 修改防洪闸信息
     * 
     * @param attPoldBase 防洪闸信息
     * @return 更新行数
     */
    public int updateAttPoldBase(AttPoldBase attPoldBase);
}
